<?xml version="1.0" encoding="UTF-8"?><MSLEEP_PATTERN desc_eng="Set Sleep Table" desc_thai="ตารางกำหนดเวรนอน" editcheck="true" mainhelp="MSLEEP_PATTERN" referhelp="MSLEEP_PATTERN" mainkey="MONTHID" fieldsystem="*" deleteflag="true" config_field="">
	<FIELD>
		<MONTHID lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<KEY>1</KEY>
			<WIDTH>2</WIDTH>
			<DESC_ENG>Month</DESC_ENG>
			<DESC_THAI>เดือน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>7</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<ALT_ENG>Month</ALT_ENG>
				<ALT_THAI>เดือน</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</MONTHID>
		<YEARID lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<KEY>2</KEY>
			<WIDTH>4</WIDTH>
			<DESC_ENG>Year</DESC_ENG>
			<DESC_THAI>ปี</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Year</ALT_ENG>
				<ALT_THAI>ปี</ALT_THAI>
			</COMPONENT>
		</YEARID>
		<WORKAREA lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>3</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Workarea</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<RELATION>MWORKAREA</RELATION>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>110</MAXSIZE>
				<ALT_ENG>Workarea</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</WORKAREA>
		<DATEID lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<KEY>4</KEY>
			<WIDTH>20</WIDTH>
			<DESC_ENG>Date</DESC_ENG>
			<DESC_THAI>วันที่</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>20</MAXSIZE>
				<ALT_ENG>Date</ALT_ENG>
				<ALT_THAI>วันที่</ALT_THAI>
			</COMPONENT>
		</DATEID>
		<COMPANYID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>5</KEY>
			<WIDTH>5</WIDTH>
			<RELATION>MCOMPANY</RELATION>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
  			  	<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				</COMPONENT>
		</COMPANYID>
		<LINE_NO lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<KEY>6</KEY>
			<WIDTH>4</WIDTH>
			<DESC_ENG>Line no</DESC_ENG>
			<DESC_THAI>ลำดับ</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>4</MAXSIZE>
				<ALT_ENG>Line no</ALT_ENG>
				<ALT_THAI>ลำดับ</ALT_THAI>
			</COMPONENT>
		</LINE_NO>
		<EMPLOYEEID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>7</KEY>
			<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<RELATION>MEMPLOYEE</RELATION>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Employee ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMPLOYEEID>
		<SLEEP_STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Sleep status</DESC_ENG>
			<DESC_THAI>รูปแบบเวรนอน</DESC_THAI>
			<COMPONENT type="list">
				<VALIDCODE>SLEEP_STATUS</VALIDCODE>
				<MAXSIZE>1</MAXSIZE>
				<DEFAULTVALUE>1</DEFAULTVALUE>
				<SIZE>5</SIZE>
				<ALT_ENG>Sleep status</ALT_ENG>
				<ALT_THAI>รูปแบบเวรนอน</ALT_THAI>
			</COMPONENT>
		</SLEEP_STATUS>
		<DATE_SW_IN lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Date in</DESC_ENG>
			<DESC_THAI>วันที่เข้า</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Date in</ALT_ENG>
				<ALT_THAI>วันที่เข้า</ALT_THAI>
			</COMPONENT>
		</DATE_SW_IN>
		<DATE_SW_OUT lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Date out</DESC_ENG>
			<DESC_THAI>วันที่ออก</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Date out</ALT_ENG>
				<ALT_THAI>วันที่ออก</ALT_THAI>
			</COMPONENT>
		</DATE_SW_OUT>
		<TIME_SW_IN lang="A" encrypt="false" verify="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time in</DESC_ENG>
			<DESC_THAI>เวลาเข้า</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>6</SIZE>
				<ALT_ENG>Time in</ALT_ENG>
				<ALT_THAI>เวลาเข้า</ALT_THAI>
			</COMPONENT>
		</TIME_SW_IN>
		<TIME_SW_OUT lang="A" encrypt="false" verify="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Time out</DESC_ENG>
			<DESC_THAI>เวลาออก</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>6</SIZE>
				<ALT_ENG>Time out</ALT_ENG>
				<ALT_THAI>เวลาออก</ALT_THAI>
			</COMPONENT>
		</TIME_SW_OUT>
		<APPROVE_STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Approve status</DESC_ENG>
			<DESC_THAI>สถานะการอนุมัติ</DESC_THAI>
			<VALIDCODE>APPROVE_STATUS2</VALIDCODE>
			<COMPONENT type="list">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Approve status</ALT_ENG>
				<ALT_THAI>สถานะการอนุมัติ</ALT_THAI>
			</COMPONENT>
		</APPROVE_STATUS>
		<SLEEP_TYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Sleep type</DESC_ENG>
			<DESC_THAI>ประเภทเวรนอน</DESC_THAI>
			<VALIDCODE>SLEEP_TYPE</VALIDCODE>
			<COMPONENT type="radio">
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Sleep type</ALT_ENG>
				<ALT_THAI>ประเภทเวรนอน</ALT_THAI>
			</COMPONENT>
		</SLEEP_TYPE>
	</FIELD>
	<RELATION>
	</RELATION>
</MSLEEP_PATTERN>
